For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all documents in a table.
      • POSTCreate a document in a table.
      • POSTUpdate multiple documents in a table.
      • GETGet a document by ID.
      • PUTUpdate a document by ID.
      • DELDelete a document by ID.
      • POSTDelete multiple document by ID.
LogoLogo
Scout DocsAccess Scout
EndpointsDocuments

Update a document by ID.

Beta
PUT
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/documents/:document_id
PUT
/v2/collections/:collection_id/tables/:table_id/documents/:document_id
$curl -X PUT https://api.scoutos.com/v2/collections/collection_id/tables/table_id/documents/document_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "document_id": "d4f8a9b2-3c7e-4f1a-9b6e-2a7d5e8c9f01",
4 "created_by": {
5 "type": "user",
6 "details": {
7 "api_key": {}
8 }
9 },
10 "last_updated_by": {
11 "type": "user",
12 "details": {
13 "api_key": {}
14 }
15 },
16 "data": {},
17 "document_data_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
18 "created_at": "2024-01-15T09:30:00Z",
19 "last_updated_at": "2024-01-15T09:30:00Z",
20 "revision_id": "rev-20240115-001",
21 "job_id": "job-9876543210",
22 "sync_id": "sync-20240115-xyz",
23 "studio_row_id": "row-1234567890",
24 "cells": {}
25 }
26}
Route handler for updating a document
Was this page helpful?
Previous

Delete a document by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
document_idstringRequired
table_idstringRequired

Request

This endpoint expects a map from strings to booleans or doubles or integers or strings or lists of any or maps from strings to any.
booleanRequired
OR
doubleRequired
OR
integerRequired
OR
stringRequired
OR
list of anyRequired
OR
map from strings to anyRequired

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error